Subject: bug#48592: [PATCH 0/2] Support plural forms of Author and Maintainer library headers

From: Colin Baxter <[email-masked]>
Date: Sun, 23 May 2021 10:52:03 +0100

>>>>> Eli Zaretskii <[email-masked]> writes:

    >> From: Jonas Bernoulli <[email-masked]> Cc:
    >> [email-masked] Date: Sun, 23 May 2021 10:43:40 +0200
    >> 
    >> >> this also adds support for using "Authors" and "Maintainers"
    >> as the >> names of the header fields instead of just the singular
    >> forms.
    >> >
    >> > Why do we need these additions?
    >> 
    >> OCD and grammar.
    >> 
    >> > Couldn't we keep using Author and Maintainer?
    >> 
    >> Of course. But why?

    > To keep Emacs smaller and less complex.

    >> > Having both variants immediately begs the question which is
    >> preferable > and why, arguments about style, and other
    >> bikeshedding.
    >> 
    >> The answer seems obvious to me.  Do it like (nearly?) all natural
    >> languages do it: If n=1 then singular, else (n>1) plural.
    >> 
    >> > Unless there's a good reason for adding new headings, I'd
    >> prefer to > make do with what we already have.
    >> 
    >> Grammatical mistakes tend to be distracting, especially if you
    >> see the same one over and over again, year after year.
    >> 
    >> I was expecting this to be noncontroversial.  ;)

    > See above.

    > But maybe I'm the odd one out here.  Does anyone else have an
    > opinion on adding these headers?

I would argue that in this case, the terms Author, Maintainer includes
the plurals since they name the sets whose elements are various authors,
maintainers. An example would be BibTeX, whose field AUTHOR and include
multiple names separated by the conjunction 'and'.

Best wishes,